﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StationaryBullets : MonoBehaviour
{
    private float mTimer;
    // Start is called before the first frame update
    void Start()
    {
        SetTime(transform.position.z);
        transform.position = new Vector3(transform.position.x, transform.position.y, 0.0f);
    }

    void SetTime(float t)
    {
        mTimer = t;
    }
    // Update is called once per frame
    void Update()
    {
        if(mTimer <= 0)
        {
            gameObject.SetActive(false);
        } else
        {
            mTimer -= Time.deltaTime;
        }
    }
}
