﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ShootingStrategy
{

    //protected GameObjectPool shotPool = null;

    public virtual void Initialize(GameObjectPool pool)
    {
        //shotPool = pool;
    }

    public virtual void Activate() { }

    public virtual void Deactivate() { }

    public virtual void ShootingBehaviour(List<Transform> spawnPoints, BossPhase phase) { }

}
