﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BulletBehaviour2 : MonoBehaviour
{
    [SerializeField] private float speed = 10;
    [SerializeField] private float sinSpeed = 0.1f;
    [SerializeField] private float sinWidth = 0.1f;
    private float mX = 0;
    private float mTimer = 0.0f;
    // Start is called before the first frame update
    void Start()
    {
        mX = transform.position.x;
        mTimer = Random.Range(0,360);
    }

    // Update is called once per frame
    void Update()
    {
        transform.position = new Vector3(mX + Mathf.Sin(mTimer*sinSpeed) * sinWidth,transform.position.y - speed * Time.deltaTime,0.0f);
        mTimer += Time.deltaTime;
    }
}
