﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Parallax : MonoBehaviour
{
    public float speed = 10f;

    public Image img1 = null;
    public Image img2 = null;

    public Transform spawnPoint1 = null;
    public Transform spawnPoint2 = null;

    void Update()
    {
        Vector3 direction = Vector3.down * Time.deltaTime;

        img1.rectTransform.position += direction * speed;
        img2.rectTransform.position += direction * speed;
        //img1.rectTransform.position = Vector3.MoveTowards(img2.rectTransform.position, spawnPoint2.position, Time.deltaTime * speed);

        if (img1.rectTransform.position.y <= spawnPoint2.position.y)
        {
            Vector3 resetPosition = new Vector3(img1.rectTransform.position.x, spawnPoint1.position.y, img1.rectTransform.position.z);
            img1.rectTransform.position = resetPosition;
        }
        if (img2.rectTransform.position.y <= spawnPoint2.position.y)
        {
            Vector3 resetPosition = new Vector3(img2.rectTransform.position.x, spawnPoint1.position.y, img2.rectTransform.position.z);
            img2.rectTransform.position = resetPosition;
        }
    }
}
