﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
[SerializeField]
public class TreeBullet : MonoBehaviour
{

    public GameObject BulletType = null;
    public GameObject BulletType2 = null;
    public float bulletSpeed = 0.001f;

    public float shotInterval = 15.0f;
    float shotTimer = 0.0f;
    float OtherDespawnTime = 5.0f;
    float OtherDespawnTime2 = 5.0f;
    public float mTimer = 50;
    // Start is called before the first frame update
    void Start()
    {
        
    }

    void SetTime(float t)
    {
        mTimer = t;
    }

    // Update is called once per frame
    void Update()
    {
        if (mTimer <= 0)
        {
            GameObject shot = Instantiate(BulletType2);
            shot.transform.position = transform.position;
            shot.transform.rotation = transform.rotation;
            shot.SetActive(true);
            shot.transform.position = new Vector3(shot.transform.position.x, shot.transform.position.y, OtherDespawnTime2);
            gameObject.SetActive(false);
        }
        else
        {
            mTimer -= Time.deltaTime;

            if (shotInterval < shotTimer)
            {

                GameObject shot = Instantiate(BulletType);
                shot.transform.position = transform.position;
                shot.transform.rotation = transform.rotation;
                shot.SetActive(true);
                shot.transform.position = new Vector3(shot.transform.position.x, shot.transform.position.y, OtherDespawnTime + mTimer);
                shotTimer = 0.0f;
            }

            else
            {
                shotTimer += Time.deltaTime;
            }
            transform.position = transform.position + new Vector3(0.0f, bulletSpeed, 0.0f);
        }
    }
}