﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CherryBlossomStrategy : ShootingStrategy
{


    private float timer = 0;
    private float timer2 = 0;
    private float counter = 0;

    public float firerate = 0.2f;
    public float pulseTimer = 0.6f;

    public override void Initialize(GameObjectPool pool)
    {
        base.Initialize(pool);
    }

    public override void Activate()
    {
        base.Activate();
    }

    public override void Deactivate()
    {
        base.Deactivate();
    }

    public override void ShootingBehaviour(List<Transform> spawnPoints, BossPhase phase)
    {

        if (counter != 1)
        {
            if (timer >= firerate)
            {

                foreach (Transform t in spawnPoints)
                {
                    if (counter != 1)
                    {
                        GameObject shot = phase.GetAvailable();
                        shot.transform.position = new Vector3(0.0f, 0.0f, 0.0f);
                        shot.transform.rotation = t.rotation;
                        shot.SetActive(true);
                        counter = 1;
                    }
                }

                timer = 0;

            }
            timer += Time.deltaTime;
        }

    }


}
