﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FillerStrategy2 : ShootingStrategy
{


    private float timer = 0;
    private float angle = 0;

    public float angleSpeed = 50.0f;
    public float firerate = 0.5f;
    public float pulseTimer = 6f;

    public override void Initialize(GameObjectPool pool)
    {
        base.Initialize(pool);
    }

    public override void Activate()
    {
        base.Activate();
    }

    public override void Deactivate()
    {
        base.Deactivate();
    }

    public override void ShootingBehaviour(List<Transform> spawnPoints, BossPhase phase)
    {
        
        if (timer >= firerate)
            {
            int i = 0;
            foreach (Transform t in spawnPoints)
                {
                    GameObject shot = phase.GetAvailable();
                    shot.transform.position = t.position;
                    shot.transform.rotation = t.rotation;
                    shot.transform.Rotate(new Vector3(0.0f, 0.0f, 1.0f), angle + (5 * i));
                    shot.SetActive(true);
                    shot = phase.GetAvailable();
                    shot.transform.position = t.position;
                    shot.transform.rotation = t.rotation;
                    shot.transform.Rotate(new Vector3(0.0f, 0.0f, 1.0f), angle + 120 + (5 * i));
                    shot.SetActive(true);
                shot = phase.GetAvailable();
                shot.transform.position = t.position;
                shot.transform.rotation = t.rotation;
                shot.transform.Rotate(new Vector3(0.0f, 0.0f, 1.0f), angle + 240 + (5 * i));
                shot.SetActive(true);
                i += 1;
                }
            i = 0;
                timer = 0;
                angle += angleSpeed;
        }
            timer += Time.deltaTime;

        }

   

}