﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FillerStrategy3 : ShootingStrategy
{

    private float timer = 0;
    private float timer2 = 0;
    private float counter = 0;
    private float angle = 0;

    public float angleSpeed = 20.0f;
    public float firerate = 0.3f;
    public float pulseTimer = 0.8f;

    public override void Initialize(GameObjectPool pool)
    {
        base.Initialize(pool);
    }

    public override void Activate()
    {
        base.Activate();
    }

    public override void Deactivate()
    {
        base.Deactivate();
    }

    public override void ShootingBehaviour(List<Transform> spawnPoints, BossPhase phase)
    {
        if (counter != 3)
        {
            if (timer >= firerate)
        {
            int i = 0;
            foreach (Transform t in spawnPoints)
            {
                for (int u = 0; u < 6; u++)
                {
                    GameObject shot = phase.GetAvailable();
                    shot.transform.position = t.position;
                    //shot.transform.rotation = t.rotation;
                    shot.transform.Rotate(new Vector3(0.0f, 0.0f, 1.0f), angle + (60 * u) + (45 * i));
                    shot.SetActive(true);
                    i += 1;
                    }
        }
                angle += angleSpeed;
                counter += 1;
        timer = 0;

    }
    timer += Time.deltaTime;
        } else
        {
            if (timer2 >= pulseTimer)
            {
                counter = 0;
                timer2 = 0;
            }
            timer2 += Time.deltaTime;
        }
        
    }
}