﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FlowerStrategy : ShootingStrategy
{


    private float timer = 0;
    private float timer2 = 0;
    private float counter = 0;

    public float firerate = 1.2f;
    public float pulseTimer = 1.2f;

    public override void Initialize(GameObjectPool pool)
    {
        base.Initialize(pool);
    }

    public override void Activate()
    {
        base.Activate();
    }

    public override void Deactivate()
    {
        base.Deactivate();
    }

    public override void ShootingBehaviour(List<Transform> spawnPoints, BossPhase phase)
    {

        if (counter != 3)
        {
            if (timer >= firerate)
            {
                foreach (Transform t in spawnPoints)
                {
                    GameObject shot = phase.GetAvailable();
                    shot.transform.position = t.position;
                    shot.transform.rotation = t.rotation;
                    shot.SetActive(true);

                }
                counter += 1;
                timer = 0;

            }
            timer += Time.deltaTime;
        }
        else
        {
            if (timer2 >= pulseTimer)
            {
                counter = 0;
                timer2 = 0;
            }
            timer2 += Time.deltaTime;
        }

    }


}