﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BulletDisable : MonoBehaviour
{
    public float lifetime = 5f;

    float timer = 0;
    
    void OnEnable()
    {
        timer = 0;
    }

    // Update is called once per frame
    void Update()
    {
        timer += Time.deltaTime;
        if (timer >= lifetime)
        {
            this.gameObject.SetActive(false);
        }
    }
}
